Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.servlet.jsp.taglib.context
Interface Context

All Known Implementing Classes:
  AbstractContext, DelegateContext

    public interface Context

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`static Context` | `NULL_CONTEXT` null context

Method Summary
`java.util.Iterator` | `childIterator(java.lang.String name)` get an iterator for the nested/loop data contexts
`java.lang.String` | `get(java.lang.String key)` get the template data from the context
`Context` | `put(java.lang.String key, java.lang.Integer value)` add data to be rendered in the template through variable substitution
`Context` | `put(java.lang.String key, java.lang.String value)` add data to be rendered in the template through variable substitution

Field Detail

### NULL_CONTEXT

    static final Context NULL_CONTEXT

  null context

Method Detail

### get

    java.lang.String get(java.lang.String key)

  get the template data from the context

  Parameters:
    `key` - template variable name
  Returns:
    template value

### put

    Context put(java.lang.String key,
                java.lang.String value)

  add data to be rendered in the template through variable substitution

  Parameters:
    `key` - template variable name
    `value` - value to render in template
  Returns:
    context to place data into

### put

    Context put(java.lang.String key,
                java.lang.Integer value)

  add data to be rendered in the template through variable substitution

  Parameters:
    `key` - template variable name
    `value` - value to render in template
  Returns:
    context to place data into

### childIterator

    java.util.Iterator childIterator(java.lang.String name)

  get an iterator for the nested/loop data contexts

  Parameters:
    `name` - template variable prefix name
  Returns:
    iterator for the children

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD